package Lambda;

public class Addiere {

	public static void main(String[] args) {
		Add add = (a,b) -> a+b;
//		int result = add.add(12, 12);
//		System.out.println(result);
		
		
		System.out.println(addieren(12,12,add));

	}
	
	public static int addieren(int a,int b,Add add) {
		
		return add.add(a, b);
	}

}

interface Add{
	
	int add(int a, int b);
}